'use strict';
define(function() {
  var elasticWidget = function(
    gcPropertiesLayers,
    gclayers,
    ParametersFactory,
    FilesFactory
  ) {
    return {
      templateUrl:
        'js/XG/widgets/mapapp/elasticsearch/views/elasticwidget.html',

      restrict: 'A',

      link: function(scope, elt, attrs, ctrl) {
        var mode = '';
        var map = scope.map;
        scope.res = {};
      },
    };
  };

  elasticWidget.$inject = [
    'gcPropertiesLayers',
    'gclayers',
    'ParametersFactory',
    'FilesFactory',
  ];
  return elasticWidget;
});
